Package org.springframework.security.acls.domain

# Class AclFormattingUtils

java.lang.Object
org.springframework.security.acls.domain.AclFormattingUtils

public abstract class AclFormattingUtils extends Object
Utility methods for displaying ACL information.

## Constructor Summary

Constructors
Constructor
Description
`AclFormattingUtils()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`demergePatterns(String original, String removeBits)`
`static String`
`mergePatterns(String original, String extraBits)`
`static String`
`printBinary(int i)`
Returns a representation of the active bits in the presented mask, with each active bit being denoted by character '*'.
`static String`
`printBinary(int mask, char code)`
Returns a representation of the active bits in the presented mask, with each active bit being denoted by the passed character.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AclFormattingUtils

public AclFormattingUtils()

## Method Details

### demergePatterns

public static String demergePatterns(String original, String removeBits)

### mergePatterns

public static String mergePatterns(String original, String extraBits)

### printBinary

public static String printBinary(int i)
Returns a representation of the active bits in the presented mask, with each active bit being denoted by character '*'.

Inactive bits will be denoted by character `Permission.RESERVED_OFF`.

Parameters:
  `i` - the integer bit mask to print the active bits for
Returns:
  a 32-character representation of the bit mask

### printBinary

public static String printBinary(int mask, char code)
Returns a representation of the active bits in the presented mask, with each active bit being denoted by the passed character.

Inactive bits will be denoted by character `Permission.RESERVED_OFF`.

Parameters:
  `mask` - the integer bit mask to print the active bits for
  `code` - the character to print when an active bit is detected
Returns:
  a 32-character representation of the bit mask